package com.clx.performance.model.collect;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;

/**
* @Author: aiqinguo
* @Description: 线路信息上报
* @Date: 2023/10/16 13:06:26
* @Version: 1.0
*/

@Getter
@Setter
@NoArgsConstructor
@TableName(autoResultMap = true)
public class CollectLineReport implements HasKey<Integer> {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;                             //id
    private Long userNo;                            //用户编号
    private String name;                            //用户姓名
    private String mobile;                          //手机号码
    private String truckNo;                         //车牌号
    private String childNo;                         //运单编号
    private Integer addressId;                      //地址id
    private String address;                         //详细地址
    private Integer type;                           //类型：1 发货地 2 目的地
    private Integer reportType;                     //上报类型：1：货源地情况\r\n   2:无法到达货源地 3:无法装货 4：无法到达目的地 4：运单取消 5：没有接单\r\n  6：装车异常 7：卸车异常
    private Integer reportStatus;                   //拉运状态 1: 正常 2：异常
    private String remark;                          //状态描述
    private String image;                           //上报图片
    private LocalDateTime reportTime;               //上报时间
    private LocalDateTime createTime;               //创建时间
    private LocalDateTime modifiedTime;             //修改时间

    @KeyColumn("id")
    @Override
    public Integer gainKey() {
        return id;
    }

}